xine-lib: xine-lib-1.2.12/src/libw32dll/DirectShow/DS_AudioDecoder.h File Reference

xine-lib 1.2.12

Typedefs | Functions
DS_AudioDecoder.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _DS_AudioDecoder | DS_AudioDecoder

## Functions
DS_AudioDecoder * | DS_AudioDecoder_Open (const char *dllname, GUID *guid, WAVEFORMATEX *wf)
void | DS_AudioDecoder_Destroy (DS_AudioDecoder *this)
int | DS_AudioDecoder_Convert (DS_AudioDecoder *this, const void *in_data, unsigned int in_size, void *out_data, unsigned int out_size, unsigned int *size_read, unsigned int *size_written)
int | DS_AudioDecoder_GetSrcSize (DS_AudioDecoder *this, int dest_size)

## Typedef Documentation

## ◆ DS_AudioDecoder

typedef struct _DS_AudioDecoder DS_AudioDecoder

## Function Documentation

## ◆ DS_AudioDecoder_Convert()

int DS_AudioDecoder_Convert | ( | DS_AudioDecoder * | this,
|  | const void * | in_data,
|  | unsigned int | in_size,
|  | void * | out_data,
|  | unsigned int | out_size,
|  | unsigned int * | size_read,
|  | unsigned int * | size_written
| ) |  |

References Debug, IMediaSample_vt::GetPointer, IMediaSample_vt::Release, IMediaSample_vt::SetActualDataLength, IMediaSample_vt::SetPreroll, IMediaSample_vt::SetSyncPoint, and _IMediaSample::vt.

Referenced by w32a_decode_audio().

## ◆ DS_AudioDecoder_Destroy()

void DS_AudioDecoder_Destroy | ( | DS_AudioDecoder * | this | ) |

References DS_Filter_Destroy().

Referenced by w32a_dispose().

## ◆ DS_AudioDecoder_GetSrcSize()

int DS_AudioDecoder_GetSrcSize | ( | DS_AudioDecoder * | this,
|  | int | dest_size
| ) |  |

Referenced by w32a_init_audio().

## ◆ DS_AudioDecoder_Open()

DS_AudioDecoder * DS_AudioDecoder_Open | ( | const char * | dllname,
|  | GUID * | guid,
|  | WAVEFORMATEX * | wf
| ) |  |

References _AllocatorProperties::cbAlign, _AllocatorProperties::cbBuffer, _AllocatorProperties::cbPrefix, _AllocatorProperties::cBuffers, DS_FilterCreate(), FORMAT_WaveFormatEx, MEDIASUBTYPE_PCM, MEDIATYPE_Audio, NULL, and print_wave_header().

Referenced by w32a_init_audio().